ランタイム: Mix::Dynamics Namespace Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Enumerations | Functions
Mix::Dynamics Namespace Reference

ダイナミクス More...

## Classes

struct | DEBUG_WORLD_PROFILE
| デバッグ : ワールドプロファイル More...
class | IBallJoint
| ボールジョイントインターフェース More...
class | IBoxShape
| ボックスシェイプインターフェース More...
class | ICapsuleShape
| カプセルシェイプ More...
class | ICompoundShape
| コンパウンドシェイプインターフェース More...
class | IConeShape
| コーンシェイプインターフェース More...
class | IConvexHullShape
| コンベックスハルシェイプインターフェース More...
class | ICylinderShape
| シリンダーシェイプインターフェース More...
class | IDofJoint
| DOFジョイントインターフェース More...
class | IHingeJoint
| ヒンジジョイントインターフェース More...
class | IJoint
| ジョイントインターフェース More...
class | IKinematicCharacter
| キネマティックキャラクターインターフェース More...
class | IManager
| ダイナミクスマネージャインターフェース More...
class | IObject
| オブジェクトインターフェース More...
class | IObjectDragger
| オブジェクドラッガートインターフェース More...
class | IObjectListener
| オブジェクトリスナーインターフェース More...
class | IPointJoint
| ポイントジョイントインターフェース More...
class | IRigidBody
| リジッドボディインターフェース More...
class | ISensor
| センサーインターフェース More...
class | IShape
| シェイプインターフェース More...
class | ISliderJoint
| スライダージョイントインターフェース More...
class | ISphereShape
| スフィアシェイプインターフェース More...
class | IStaticMesh
| スタティックメッシュインターフェース More...
class | IStaticPlane
| スタティックプレーンインターフェース More...
class | IVehicle
| ビハイクルインターフェース More...
class | IVehicleWheel
| ビハイクルホイールインターフェース More...
class | IWorld
| ワールドインターフェース More...
struct | MANIFOLD
| マニフォールド構造体 More...
struct | MANIFOLD_MESH
| マニフォールドメッシュ構造体 More...
struct | MANIFOLD_POINT
| マニフォールドポイント構造体 More...
struct | MATERIAL
| マテリアル構造体 More...
struct | MESH
| メッシュ構造体 More...
struct | TEST_LOCAL_RESULT
| ローカルの交差判定結果構造体 More...
struct | VEHICLE_WHEEL_DESC
| ビハイクルホイール構造体 More...
struct | WORLD_CONFIG
| ワールド設定構造体 More...

## Enumerations

enum | AXIS_TYPE { AXIS_X = 0, AXIS_Y = 1, AXIS_Z = 2 }
| 軸タイプ列挙定数 More...

enum

OBJECT_FILTER_FLAG {
OF_DEFAULT = 0x0001, OF_STATIC = 0x0002, OF_KINEMATIC = 0x0004, OF_DEBRIS = 0x0008,
OF_SENSOR = 0x0010, OF_CHARACTER = 0x0020, OF_ALL = ( OF_DEFAULT | OF_STATIC | OF_KINEMATIC | OF_DEBRIS | OF_SENSOR | OF_CHARACTER ), OF_DEFAULT_MASK = ( OF_DEFAULT | OF_STATIC | OF_KINEMATIC | OF_SENSOR ),
OF_STATIC_MASK = ( OF_DEFAULT | OF_KINEMATIC | OF_DEBRIS | OF_SENSOR | OF_CHARACTER ), OF_KINEMATIC_MASK = ( OF_DEFAULT | OF_SENSOR ), OF_DEBRIS_MASK = ( OF_STATIC ), OF_SENSOR_MASK = ( OF_DEFAULT | OF_STATIC | OF_KINEMATIC ),
OF_CHARACTER_MASK = ( OF_STATIC | OF_CHARACTER )
}

| オブジェクトフィルターフラグ列挙定数 More...
enum | DEBUG_DRAW_FLAG { DD_WIREFRAME = 0x00000001, DD_AXIS = 0x00000002, DD_JOINT_FRAME = 0x00000004, DD_JOINT_LIMIT = 0x00000008 }
| デバッグ描画のフラグ列挙定数 More...
enum | DEBUG_DRAW_COLOR_TYPE { DDC_RIGIDBODY_AROUSAL = 0, DDC_RIGIDBODY_ACTIVE = 1, DDC_RIGIDBODY_SLEEPY = 2, DDC_RIGIDBODY_REST = 3, DDC_RIGIDBODY_DISABLE = 4, DDC_SENSOR = 5, DDC_KINEMATIC_CHARACTER = 6, DDC_JOINT_FRAME = 7, DDC_JOINT_LIMIT = 8 }
| デバッグ描画のカラータイプ列挙定数 More...

## Functions

_MIX_DLL_API Mix::Dynamics::IManager * | GetManagerPtr (void)
| マネージャのポインタを取得します More...
_MIX_DLL_API Boolean | GetManager (Mix::Dynamics::IManager **ppManager)
| マネージャを取得します More...
_MIX_DLL_API Boolean | TestRay (const Mix::Vector3 &rayFrom, const Mix::Vector3 &rayTo, const Mix::Dynamics::IObject *pReceiveObject, Mix::Dynamics::TEST_LOCAL_RESULT &result)
| レイとオブジェクトの交差判定を行います More...
_MIX_DLL_API Boolean | TestSweep (const Mix::Dynamics::IShape *pCastShape, const Mix::Vector3 &castShapeFromPos, const Mix::Vector3 &castShapeToPos, const Mix::Dynamics::IObject *pReceiveObject, Mix::Dynamics::TEST_LOCAL_RESULT &result)
| スィープとオブジェクトの交差判定を行います More...
_MIX_DLL_API Boolean | TestSweep (const Mix::Dynamics::IShape *pCastShape, const Mix::Quaternion &castShapeFromRot, const Mix::Vector3 &castShapeFromPos, const Mix::Quaternion &castShapeToRot, const Mix::Vector3 &castShapeToPos, const Mix::Dynamics::IObject *pReceiveObject, Mix::Dynamics::TEST_LOCAL_RESULT &result)
| スィープとオブジェクトの交差判定を行います More...

## Detailed Description

ダイナミクス

## Enumeration Type Documentation

enum Mix::Dynamics::AXIS_TYPE

軸タイプ列挙定数

Enumerator
AXIS_X | X軸
AXIS_Y | Y軸
AXIS_Z | Z軸

enum Mix::Dynamics::OBJECT_FILTER_FLAG

オブジェクトフィルターフラグ列挙定数

Enumerator
OF_DEFAULT | デフォルト
OF_STATIC | スタティック
OF_KINEMATIC | キネマティック
OF_DEBRIS | デブリ
OF_SENSOR | センサー
OF_CHARACTER | キャラクター
OF_ALL | 全て
OF_DEFAULT_MASK | デフォルトフィルターマスク
OF_STATIC_MASK | スタティックフィルターマスク
OF_KINEMATIC_MASK | キネマティックフィルターマスク
OF_DEBRIS_MASK | デブリフィルターマスク
OF_SENSOR_MASK | センサーフィルターマスク
OF_CHARACTER_MASK | キャラクターフィルターマスク

enum Mix::Dynamics::DEBUG_DRAW_FLAG

デバッグ描画のフラグ列挙定数

デバッグ : 描画フラグ列挙定数

Enumerator
DD_WIREFRAME | ワイヤーフレーム(リジッドボディ、センサー、キネマティックキャラクター)
DD_AXIS | 軸( リジッドボディ )
DD_JOINT_FRAME | ジョイントのフレーム
DD_JOINT_LIMIT | ジョイントのリミット

enum Mix::Dynamics::DEBUG_DRAW_COLOR_TYPE

デバッグ描画のカラータイプ列挙定数

デバッグ : 描画カラータイプ列挙定数

Enumerator
DDC_RIGIDBODY_AROUSAL | リジッドボディ : 常に活動状態
DDC_RIGIDBODY_ACTIVE | リジッドボディ : 活動状態
DDC_RIGIDBODY_SLEEPY | リジッドボディ : 休止になる手前の状態
DDC_RIGIDBODY_REST | リジッドボディ : 休止状態
DDC_RIGIDBODY_DISABLE | リジッドボディ : 無効( シミュレーションは行われていない )
DDC_SENSOR | センサー
DDC_KINEMATIC_CHARACTER | キネマティックキャラクター
DDC_JOINT_FRAME | ジョイント : フレーム
DDC_JOINT_LIMIT | ジョイント : リミット

## Function Documentation

_MIX_DLL_API Mix::Dynamics::IManager* Mix::Dynamics::GetManagerPtr | ( | void |  | ) |

マネージャのポインタを取得します

Returns
  マネージャを表す Mix::Dynamics::IManager インターフェースのポインタを返します

_MIX_DLL_API Boolean Mix::Dynamics::GetManager | ( | Mix::Dynamics::IManager ** | ppManager | ) |

マネージャを取得します

Parameters

  [out] | ppManager | マネージャを表す Mix::Dynamics::IManager インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  取得したマネージャは参照カウンタを +1 します。

_MIX_DLL_API Boolean Mix::Dynamics::TestRay | ( | const Mix::Vector3 & | rayFrom,
|  | const Mix::Vector3 & | rayTo,
|  | const Mix::Dynamics::IObject * | pReceiveObject,
|  | Mix::Dynamics::TEST_LOCAL_RESULT & | result
| ) |  |

レイとオブジェクトの交差判定を行います

Parameters

  [in] | rayFrom | レイの始点を表す Mix::Vector3 クラス
  [in] | rayTo | レイの終点を表す Mix::Vector3 クラス
  [in] | pReceiveObject | 交差判定を行うオブジェクトを表す Mix::Dynamics::IObject インターフェースのポインタ
  [out] | result | 交差判定結果を表す Mix::Dynamics::TEST_LOCAL_RESULT 構造体

Returns
  交差している場合は True を返します

_MIX_DLL_API Boolean Mix::Dynamics::TestSweep | ( | const Mix::Dynamics::IShape * | pCastShape,
|  | const Mix::Vector3 & | castShapeFromPos,
|  | const Mix::Vector3 & | castShapeToPos,
|  | const Mix::Dynamics::IObject * | pReceiveObject,
|  | Mix::Dynamics::TEST_LOCAL_RESULT & | result
| ) |  |

スィープとオブジェクトの交差判定を行います

Parameters

  [in] | pCastShape | スィープを作成するシェイプを表す Mix::Dynamics::IShape インターフェースのポインタ
  [in] | castShapeFromPos | スィープの始点の位置を表す Mix::Vector3 クラス
  [in] | castShapeToPos | スィープの終点の位置を表す Mix::Vector3 クラス
  [in] | pReceiveObject | 交差判定を行うオブジェクトを表す Mix::Dynamics::IObject インターフェースのポインタ
  [out] | result | 交差判定結果を表す Mix::Dynamics::TEST_LOCAL_RESULT 構造体

Returns
  交差している場合は True を返します

_MIX_DLL_API Boolean Mix::Dynamics::TestSweep | ( | const Mix::Dynamics::IShape * | pCastShape,
|  | const Mix::Quaternion & | castShapeFromRot,
|  | const Mix::Vector3 & | castShapeFromPos,
|  | const Mix::Quaternion & | castShapeToRot,
|  | const Mix::Vector3 & | castShapeToPos,
|  | const Mix::Dynamics::IObject * | pReceiveObject,
|  | Mix::Dynamics::TEST_LOCAL_RESULT & | result
| ) |  |

スィープとオブジェクトの交差判定を行います

Parameters

  [in] | pCastShape | スィープを作成するシェイプを表す Mix::Dynamics::IShape インターフェースのポインタ
  [in] | castShapeFromRot | スィープの始点の回転を表す Mix::Vector3 クラス
  [in] | castShapeFromPos | スィープの始点の位置を表す Mix::Vector3 クラス
  [in] | castShapeToRot | スィープの終点の回転を表す Mix::Vector3 クラス
  [in] | castShapeToPos | スィープの終点の位置を表す Mix::Vector3 クラス
  [in] | pReceiveObject | 交差判定を行うオブジェクトを表す Mix::Dynamics::IObject インターフェースのポインタ
  [out] | result | 交差判定結果を表す Mix::Dynamics::TEST_LOCAL_RESULT 構造体

Returns
  交差している場合は True を返します